##
##  rdiff-backup.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         rdiff-backup
Summary:      Remote Incremental Backup
URL:          http://rdiff-backup.stanford.edu/
Vendor:       Ben Escoto
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Network
License:      GPL
Version:      0.11.1
Release:      20021231

#   list of sources
Source0:      http://rdiff-backup.stanford.edu/rdiff-backup-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20021230
PreReq:       OpenPKG, openpkg >= 20021230, librsync, python
AutoReq:      no
AutoReqProv:  no

%description
    rdiff-backup is a script that backs up one directory to another. The
    target directory ends up a copy of the source directory, but extra
    reverse diffs are stored in a special subdirectory of that target
    directory, so you can still recover files lost some time ago. The
    idea is to combine the best features of a mirror and an incremental
    backup. rdiff-backup also preserves subdirectories, symlinks,
    special files, permissions, uid/gid ownership (if it is running as
    root), and modification times. Finally, rdiff-backup can operate
    in a bandwidth efficient manner over a pipe, like rsync. Thus you
    can use rdiff-backup and ssh to securely back a hard drive up to a
    remote location, and only the differences will be transmitted.

%prep
    %setup -q

%build
    #   use plain sed(1) instead of shtool subst, because
    #   currently shtool still has problems with the sticks.
    sed -e 's;#!/usr/bin/env python;#!%{l_prefix}/bin/python;' \
        -e "s;'rdiff';'%{l_prefix}/bin/rdiff';g" \
        <rdiff-backup >rdiff-backup.n
    mv rdiff-backup.n rdiff-backup

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -m 755 \
        rdiff-backup $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        rdiff-backup.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

